EDIT - bug #7209

use git repos instead of svn in all pom.xml
01/19/2018 03:25 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

at least cdmlib-db is still using

<scm>

<connection>scm:svn:http://dev.e-taxonomy.eu/svn/trunk/cdmlib/cdmlib-db/</connection>

<developerConnection>scm:svn:http://dev.e-taxonomy.eu/svn/trunk/cdmlib/cdmlib-db/</developerCo

nnection>

<url>http://dev.e-taxonomy.eu/trac/browser/trunk/cdmlib/cdmlib-db/</url>

</scm>

Check all pom.xml

Related issues:
Related to EDIT - task #5528: Remove all links to svn

Closed 03/21/2022 03/25/2022

Associated revisions

Revision fd5ffb2d - 01/31/2018 02:53 PM - Andreas Miiller

fix #7209 use git repos instead of svn in cdmlib poms

Revision 0e3dfc58 - 01/31/2018 02:55 PM - Andreas Miiller

ref #7209 use git repos instead of svn in cdmlib-apps poms

Revision 3a2a1682 - 03/22/2018 03:18 PM - Andreas Kohlbecker

fix #7209 removing scm entries from maven submodules

History

#1 - 01/19/2018 03:25 PM - Andreas Kohlbecker
- Related to task #5528: Remove all links to svn added

#2 - 01/19/2018 03:25 PM - Andreas Kohlbecker

- Private changed from No to Yes

#3 - 01/31/2018 02:42 PM - Andreas Miiller
- Description updated
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 4.14

#4 - 01/31/2018 02:53 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|fd5ffb2d7590962f88558924f3c25ed6f40e190a.

#5 - 01/31/2018 03:06 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/fd5ffb2d759b962f88558924f3c25ed6f40e190a

- % Done changed from 50 to 0

I replaced all occurrences in cdmlib poms by copies taken from cdmlib-cache. However, | am not sure if it is correct now, as something like
dev.e-taxonomy.eu/git/cdmlib-cache.git does not really exist IMO.

For the given URL the old value https://dev.e-taxonomy.eu/gitweb/cdmlib-cache.git/tree was definetely wrong. | replaced it by
https://dev.e-taxonomy.eu/gitweb/cdmlib.qgit/tree/HEAD:/cdmlib-cache/ (similar for all other poms).

| am not sure if we need these entries at all, as the important entry is in the parent pom. The module poms scm entries do not seem to be used. The
TaxEditor modules e.g. do not have an scm entry at all, only the parent.

Please review.
P.S. Does anybody know if these entries are necessary or could we remove them?

#6 - 02/15/2018 02:53 PM - Andreas Kohlbecker

- Target version changed from Release 4.14 to Release 5.0

the scm entries in the sub-modules are not needed as the source repository page of the doc site is only showing the entries of the parent project:
https://cybertaxonomy.eu/cdmlib/source-repository.html

--> TODO: remove these obsolete entries!

#7 - 03/22/2018 03:18 PM - Andreas Kohlbecker
- % Done changed from 0 to 50

Applied in changeset cdmlib|3a2a16822aaf70332dd5b733ade43b9f0478a38d.

#8 - 03/22/2018 03:19 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 0

| removed all scm entries from the sub-modules

#9 - 05/17/2018 12:23 PM - Andreas Miiller

- Private changed from Yes to No
